Subject: RE: [PATCH RFC]: e1000: allow VLAN devices to use TSO and CSUM offload

From: Ben Hutchings <[email-masked]>
Date: Fri, 10 Oct 2008 18:59:36 +0100

On Fri, 2008-10-10 at 10:48 -0700, Brandeburg, Jesse wrote:
> Patrick McHardy wrote:
> > Patrick McHardy wrote:
> >> This patch changes e1000 to set vlan_features so TSO and CSUM
> >> offload can be used by VLAN devices, similar as with the other Intel
> >> drivers. 
> >> 
> >> Only RFC because I don't know whether there is buggy hardware
> >> that doesn't support this properly, but feel free to apply in
> >> case there isn't.
> > 
> > I never received a response to this. Any comments?
> 
> Sorry to delay the reply, the only one that stands out to me as a
> possible problem with the devices that e1000 still supports is the
> NETIF_F_TSO6.

vlan_features is a mask for features.  So long as all parts that do
support TSO-IPv6 also support it for VLAN-tagged packets, it should be
safe to set NETIF_F_TSO6 in vlan_features unconditionally.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.